﻿using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DockpaneAndProWindowDemos.Demo2
{
	internal class ShowProWindowModal : Button
	{


		protected override void OnClick()
		{
			//local variables. No need for class instance
			var dlg_vm = new ProWindowDialogModalViewModel();
			var prowindowmodal = new ProWindowModal()
			{
				DataContext = dlg_vm,
				Owner = FrameworkApplication.Current.MainWindow
			};
			var result = (bool)prowindowmodal.ShowDialog();
			if (result)
			{
				Module1.Current.ZoomToBookmark(dlg_vm.SelectedBookmarkName);
			}
		}

	}
}
